## org.metaabm.function.provider
Class MetaABMFunctionItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.metaabm.function.util.MetaABMFunctionAdapterFactory
              org.metaabm.function.provider.MetaABMFunctionItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class MetaABMFunctionItemProviderAdapterFactory

extends org.metaabm.function.util.MetaABMFunctionAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

Constructor Summary
`MetaABMFunctionItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createFArgumentArrayPrototypeAdapter()` This creates an adapter for a `FArgumentArrayPrototype`.
`org.eclipse.emf.common.notify.Adapter` `createFArgumentPrototypeAdapter()` This creates an adapter for a `FArgumentPrototype`.
`org.eclipse.emf.common.notify.Adapter` `createFGenericFunctionAdapter()` This creates an adapter for a `FGenericFunction`.
`org.eclipse.emf.common.notify.Adapter` `createFGenericLogicalAdapter()` This creates an adapter for a `FGenericLogical`.
`org.eclipse.emf.common.notify.Adapter` `createFImplementedLibraryAdapter()` This creates an adapter for a `FImplementedLibrary`.
`org.eclipse.emf.common.notify.Adapter` `createFLibraryAdapter()` This creates an adapter for a `FLibrary`.
`org.eclipse.emf.common.notify.Adapter` `createFLogicalOperatorAdapter()` This creates an adapter for a `FLogicalOperator`.
`org.eclipse.emf.common.notify.Adapter` `createFMultiArgumentPrototypeAdapter()` This creates an adapter for a `FMultiArgumentPrototype`.
`org.eclipse.emf.common.notify.Adapter` `createFOperatorAdapter()` This creates an adapter for a `FOperator`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.metaabm.function.util.MetaABMFunctionAdapterFactory
`createAdapter, createEObjectAdapter, createFFunctionAdapter, createFGenericAdapter, createFLogicalAdapter, createIArtifactAdapter, createIIDAdapter, createITypedAdapter, createITypedArrayAdapter, createSImplementedAdapter, createSNamedAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### MetaABMFunctionItemProviderAdapterFactory

    public MetaABMFunctionItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createFArgumentPrototypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFArgumentPrototypeAdapter()

  This creates an adapter for a `FArgumentPrototype`.

  Overrides:
    `createFArgumentPrototypeAdapter` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### createFArgumentArrayPrototypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFArgumentArrayPrototypeAdapter()

  This creates an adapter for a `FArgumentArrayPrototype`.

  Overrides:
    `createFArgumentArrayPrototypeAdapter` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### createFOperatorAdapter

    public org.eclipse.emf.common.notify.Adapter createFOperatorAdapter()

  This creates an adapter for a `FOperator`.

  Overrides:
    `createFOperatorAdapter` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### createFLogicalOperatorAdapter

    public org.eclipse.emf.common.notify.Adapter createFLogicalOperatorAdapter()

  This creates an adapter for a `FLogicalOperator`.

  Overrides:
    `createFLogicalOperatorAdapter` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### createFGenericFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createFGenericFunctionAdapter()

  This creates an adapter for a `FGenericFunction`.

  Overrides:
    `createFGenericFunctionAdapter` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### createFGenericLogicalAdapter

    public org.eclipse.emf.common.notify.Adapter createFGenericLogicalAdapter()

  This creates an adapter for a `FGenericLogical`.

  Overrides:
    `createFGenericLogicalAdapter` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### createFLibraryAdapter

    public org.eclipse.emf.common.notify.Adapter createFLibraryAdapter()

  This creates an adapter for a `FLibrary`.

  Overrides:
    `createFLibraryAdapter` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### createFImplementedLibraryAdapter

    public org.eclipse.emf.common.notify.Adapter createFImplementedLibraryAdapter()

  This creates an adapter for a `FImplementedLibrary`.

  Overrides:
    `createFImplementedLibraryAdapter` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### createFMultiArgumentPrototypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFMultiArgumentPrototypeAdapter()

  This creates an adapter for a `FMultiArgumentPrototype`.

  Overrides:
    `createFMultiArgumentPrototypeAdapter` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.metaabm.function.util.MetaABMFunctionAdapterFactory`

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`